php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #12727 Bad subdirs assumed in configure and in make
Submitted: 2001-08-13 18:17 UTC Modified: 2001-08-14 09:25 UTC
From: php-bug at chaosmt dot net Assigned:
Status: Not a bug Package: PostgreSQL related
PHP Version: 4.0.6 OS: Solaris 7
Private report: No CVE-ID: None
 [2001-08-13 18:17 UTC] php-bug at chaosmt dot net
reproduceable - probably an easy fix

during ./configure and later (after I thought I fixed things) in the make, the php install kept having trouble finding my install.  postgresql was installed --prefix=/usr/local/pgsql/7.1.2/, and that path was supplied to the program ($i).  However, it looked like that it assumed that libraries and such were not immediately in that path.  For example, it looks in $i/lib/pgsql and $i/lib/postgresql, where my path was (I though predictable) $i/lib.  I did a "ln -s /usr/local/pgsql/7.1.2/lib /usr/local/lib/pgsql" and other but that didn't work.  I mucked around with the (impressive) config files adding paths and that only gave limited progress.  I eventually did "ln -s . pgsql" in lib and other relevant places and got much further.
   Then, in make, failure again, as the header file couldn't find the include.  I added a hard path to the build/rules_common.mk (I believe the variable was DEFS).
   I hope this helps.  Personal note, I hopped on IRC (efnet) to try and get some advice.  Even though I asked an informed and intelligent (IMHO) question, I still got the condesending knee-jerk responses.  I have now been conditioned to a) never ever hope for any help from irc (especially the ef) and b) never research an issue fully before asking a question.  If you've done your research, you've spent TONS of times getting caught up, just to find out you know more than who you're asking for help.  However [James] was friendly and helpful, more so than anyone.  He deserves a free beer!

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-08-14 04:59 UTC] sniper@php.net
So PostgreSQL was configured with:

--prefix=/usr/local/pgsql/7.1.2/

And PHP was configured with:

--with-pgsql=/usr/local/pgsql/7.1.2/  

Right?

Where do you have this file: libpq-fe.h ??
Where do you have this file: libpq.a (or .so) ??
 
And what exactly were those errors you got??

--Jani (irc@efnet: _sniper_ )

 [2001-08-14 09:25 UTC] sniper@php.net
User error.

 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sun May 26 11:01:26 2019 UTC